package com.zcloud.mapper.datasource.notice;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：企业公告人员关系表
 * 作者：luoxiaobao
 * 时间：2021-01-22
 * 官网：www.zcloudchina.com
 */
public interface NoticeCorpUserMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);
	/**
	 *   批量添加公告人员关系信息
	 * @param pd
	 */
	void savaAll(PageData pd);

	void deleteByNotId(PageData pd);
	List<PageData> getTypeCountByNotId (Page page);
	/**
	 * 查看用户阅读公告情况
	 * @param page
	 * @return
	 * @throws Exception
	 */
	List<PageData> getReadUserlistPage(Page page);
}

